#include <windows.h>
#include "../vc++/pdfformfunc.h"
#include <io.h>
#include <stdio.h>
#include <string>
using namespace std;

#pragma comment( lib, "../bin/pdfform.lib" )

void GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}

void main(int argc, char *argv[])
{
	BOOL bRet = FALSE;
	if(argc != 2)
	{
		printf("Usage: \"%s\" D:\\test.pdf\n", argv[0]);
		return;
	}
	
	char *lpPDFFile = argv[1];
	char *lpFormName= "VeryPDF Form Name";
	
	PDFForm_SetLicenseKey("XXXXXXXXXXXXXXXX");

	char szOutFormsFile[MAX_PATH] = {0};
	GetModulePath(szOutFormsFile, "outforms.txt");
	int nRet = PDFForm_GetAllFields_ToFile(lpPDFFile, szOutFormsFile);
	printf("\"%s\" => \"%s\"\n", lpPDFFile, szOutFormsFile);

	char szOutBuffer[4096] = {0};
	int nNeedMaxBufferLength = PDFForm_GetAllFields(lpPDFFile, szOutBuffer, sizeof(szOutBuffer));
	printf("Need Max Buffer is: %d\n", nNeedMaxBufferLength);
	printf("All Form Fields:\n", szOutBuffer);
	printf("=====================================================\n");
	printf("%s\n", szOutBuffer);
	printf("=====================================================\n\n");
	bRet = PDFForm_IsContainsField(lpPDFFile, lpFormName);
	if(bRet)
		printf("[OK] '%s' file is contain '%s' form.\n", lpPDFFile, lpFormName);
	else
		printf("[Error] '%s' file is not contain '%s' form.\n", lpPDFFile, lpFormName);
	return;
}